./textproc/py-X2, Package for the creation of PostScript and PDF files

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.12.1, Package name: py27-X-0.12.1, Maintainer: pkgsrc-users

PyX is a Python package for the creation of PostScript and PDF files. It
combines an abstraction of the PostScript drawing model with a TeX/LaTeX
interface. Complex tasks like 2d and 3d plots in publication-ready quality
are built out of these primitives.

Features
* PostScript and PDF output for device independent, freely scalable figures
* seamless TeX/LaTeX integration
* full access to PostScript features like paths, linestyles, fill patterns,
transformations, clipping, bitmap inclusion, etc.
* advanced geometric operations on paths like intersections, transformations,
splitting, smoothing, etc.
* sophisticated graph generation: modular design, pluggable axes, axes
partitioning based on rational number arithmetics, flexible graph styles, etc.


Required to run:
[print/kpathsea] [print/dvipsk] [print/tex-tex] [print/tex-latex-bin] [lang/python27]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 9e5e9c3235055a50565d94cfc02e758b61b01222
RMD160: ca48a8e85c9fcd24c9050d7938ec952d410b099a
Filesize: 548.817 KB

Version history: (Expand)


CVS history: (Expand)


   2020-01-19 00:36:14 by Roland Illig | Files touched by this commit (3046)
Log message:
all: migrate several HOMEPAGEs to https

pkglint --only "https instead of http" -r -F

With manual adjustments afterwards since pkglint 19.4.4 fixed a few
indentations in unrelated lines.

This mainly affects projects hosted at SourceForce, as well as
freedesktop.org, CTAN and GNU.
   2019-11-04 22:43:49 by Roland Illig | Files touched by this commit (155)
Log message:
textproc: align variable assignments

pkglint -Wall -F --only aligned --only indent -r

No manual corrections.
   2019-09-02 15:20:22 by Adam Ciarcinski | Files touched by this commit (415)
Log message:
Changed PYTHON_VERSIONS_INCOMPATIBLE to PYTHON_VERSIONS_ACCEPTED; needed for \ 
future Python 3.8
   2019-04-26 15:14:25 by Maya Rashish | Files touched by this commit (473)
Log message:
Omit mentions of python 34 and 35, after those were removed.

- Includes some whitespace changes, to be handled in a separate commit.
   2018-07-03 07:03:44 by Adam Ciarcinski | Files touched by this commit (495)
Log message:
extend PYTHON_VERSIONS_ for Python 3.7
   2017-01-01 15:44:09 by Thomas Klausner | Files touched by this commit (577)
Log message:
Add python-3.6 to incompatible versions.
   2016-07-09 15:04:18 by Thomas Klausner | Files touched by this commit (599)
Log message:
Remove python33: adapt all packages that refer to it.
   2015-12-05 22:26:09 by Adam Ciarcinski | Files touched by this commit (578)
Log message:
Extend PYTHON_VERSIONS_INCOMPATIBLE to 35